function setCookie(cname, cvalue, exdays) {
    let d = new Date();
    d.setTime(d.getTime() + (exdays * 24 * 60 * 60 * 300));
    let expires = "expires=" + d.toGMTString();
    document.cookie = cname + "=" + cvalue + ";" + expires + ";path=/";
}

function getCookie(cname) {
    let name = cname + "=";
    let decodedCookie = decodeURIComponent(document.cookie);
    let ca = decodedCookie.split(';');
    for (let i = 0; i < ca.length; i++) {
        let c = ca[i];
        while (c.charAt(0) == ' ') {
            c = c.substring(1);
        }
        if (c.indexOf(name) == 0) {
            return c.substring(name.length, c.length);
        }
    }
    return "";
}

document.addEventListener("DOMContentLoaded", function(event) { 
    console.log("pywlltrm");
    let trigger = document.getElementById('pywll-inf').innerHTML.trim();
    let guest = getCookie("pywllgst");
    let user = getCookie("pywlluser");

    if (user) {
        setCookie("pywllgst", "-", "-");
    }

    else if (trigger === 'closed' && !user) {
        $(".article-content p").eq(2).nextAll().remove();
        $("#paywallModal").fadeIn("slow");
        analytics.track('news_paywall_shown', {
            subdomain: "news",
            version: "1.0",
            articles_read_count: "0"
        });
    }

    else if (guest) {
        console.log("guest cont");
        if (trigger === 'accounted') {
            if (guest) {
                if (guest >= 4) {
                    $(".article-content p").eq(2).nextAll().remove();
                    $("#paywallModal").fadeIn("slow");
                    analytics.track('news_paywall_shown', {
                        subdomain: "news",
                        version: "1.0",
                        articles_read_count: "3"
                    });
                }
                if (guest <= 3) {
                    setCookie("pywllgst", parseInt(guest) + 1, 100);
                }
            }
        }
    }

    else {
        setCookie("pywllgst", 1, 100);
    }
});